[Solved] ReferenceError primordials is not defined in node

(8246 Views)


In this article, we are going to discuss a common problem encountered while using Gulp and node.js platform. Often you would have come across the following error while doing gulp sass-watch from the command prompt.

ReferenceError: primordials is not defined at fs.js:27:35

Cause of problem:

This problem occurs due to the incompatibility between node and gulp versions. Node version 12 and gulp version 4 does not work together and all these primordial issues pop up.

Solution:

You either need to upgrade the gulp version or downgrade the node version. An easy fix is to downgrade node to version 11.15.0. This works without any issues.

        

Solution Didn't Worked 10 DownvotesDownvote



Comments

3 comment
  • sdvsdv

    qwdasdads

  • wfewf

    wef

  • Raian Pierre Cardoso Machado

    poderia me ajudar a atualizar o gulp



Search
Play 2048 Game Online

Search Tags